package de.accso.flexinale.backoffice.domain.services;

import de.accso.flexinale.backoffice.domain.dao.FilmDao;
import de.accso.flexinale.backoffice.domain.model.Film;
import de.accso.flexinale.common.shared_kernel.Identifiable;

import java.util.List;

public class FilmService {

    private final FilmDao filmDao;

    public FilmService(final FilmDao filmDao) {
        this.filmDao = filmDao;
    }

    public List<Film> filme() {
        return filmDao.findAll();
    }

    public Film film(final Identifiable.Id id) {
        return filmDao.findById(id).orElse(null);
    }
}
